rm(list=ls())# wipes slate clean
library(dplyr)
library(ggplot2)
library(coin)
library(MASS)
library(foreign)
library(Hmisc)
library(reshape2)
library(mgcv)
library(lme4)
library(lmerTest)
library(gridExtra)
library(car)

setwd("C:/Users/Ragenaky/Desktop/Striga Madagascar 2020/Completed Sheets/Ecology Data Updated")


# Useful functions later on....

#Calculate a standard error
stderr <- function(x) sd(x) / sqrt(length(x))





# Read in the data
WD_1<-read.csv("MWC_AVDEN.CSV")


# Striga Density  v Mean other Weed Cover for both years .

lm1 <- lm( AvDen  ~ Year * Mean_WC , data = WD_1, )

anova(lm1)


attach(WD_1)
as.numeric(WD_1[Mean_WC])
plot(Mean_WC, AvDen , main="Mean Striga Density and Mean other Weed Cover",
     xlab="Mean % other Weed Cover ", ylab="Mean Striga Density ", pch=19)+
  loess.smooth(Mean_WC, AvDen,family = "symmetric")
 
  

